Loading ...
Sorry, an error occurred while loading the content.

13430Re: Plugin using ruby and python causes MacVim to be killed

Expand Messages
  • Bruno Gonçalves
    Oct 2, 2012
    • 0 Attachment
      Em sexta-feira, 28 de setembro de 2012 16h03min30s UTC-3, Bruno Gonçalves escreveu:
      > Hello,
      > I'm trying to make a plugin that uses pygments.rb ruby gem, but when calling " require 'pygments' ", MacVim is killed with the following message
      > Vim: Caught deadly signal SEGV
      > Vim: Finished.
      > I'm using MacVim - 7.3 with patches: 1-646 and pygments.rb is a wrapper to a python lib.
      > I don't have any idea on how to resolve this problem. Can anyone help me?


      I solved this problem by other way. I extracted the ruby portion of the plugin to a ruby file, then calling this ruby file using command line inside the function on the plugin.


      You received this message from the "vim_mac" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php
    • Show all 2 messages in this topic